Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.japisoft.dtdparser.document
Interface DTDDocumentBuilder

All Known Implementing Classes:
  AbstractDTDDocumentBuilder

public interface DTDDocumentBuilder

Build the DTD document

Version:
  1.0
Author:
  (c) 2002-2003 JAPISOFT

Field Summary
`static int` | `CDATA_ATT_VAL`
`static int` | `ENTITIES_ATT_VAL`
`static int` | `ENTITY_ATT_VAL`
`static int` | `FIXED_ATT`
`static int` | `ID_ATT_VAL`
`static int` | `IDREF_ATT_VAL`
`static int` | `IMPLIED_ATT`
`static int` | `INTERNAL_ENTITY`
`static int` | `NMTOKEN_ATT_VAL`
`static int` | `NMTOKENS_ATT_VAL`
`static int` | `PUBLIC_ENTITY`
`static int` | `REQUIRED_ATT`
`static int` | `SYSTEM_ENTITY`

Method Summary
`RootDTDNode` | `getRoot()`
`void` | `notifyAttribute(java.lang.String element, java.lang.String id, int valueType, java.lang.String[] enum, int attDec, java.lang.String def)` Found an attribute definition
`void` | `notifyComment(java.lang.String comment)` Found a comment
`void` | `notifyElementChoiceItem(java.lang.String item)` Item equals element name or #PCDATA
`void` | `notifyElementIncludeItem(java.lang.String item)` Item equals element name or EMPTY or ANY or #PCDATA
`void` | `notifyEntity(java.lang.String entity, boolean parameter, int type, java.lang.String value)` Found an entity
`void` | `notifyOperator(char operator)` Notify operator '+' or '*' or '?'
`void` | `notifyStartDTD()` Start the DTD definition
`void` | `notifyStartElement(java.lang.String e)` Found a tag definition
`void` | `notifyStartElementChildren()` Notify '(' meet for the element declaration
`void` | `notifyStopDTD()` Stop the DTD definition
`void` | `notifyStopElement()` End of the tag definition
`void` | `notifyStopElementChildren()` Notify ')' meet for the element declaration
`void` | `setNodeFactory(DTDNodeFactory factory)` Factory for building DTDNode

Field Detail

### INTERNAL_ENTITY

    public static final int INTERNAL_ENTITY

See Also:
  Constant Field Values

### SYSTEM_ENTITY

    public static final int SYSTEM_ENTITY

See Also:
  Constant Field Values

### PUBLIC_ENTITY

    public static final int PUBLIC_ENTITY

See Also:
  Constant Field Values

### ID_ATT_VAL

    public static final int ID_ATT_VAL

See Also:
  Constant Field Values

### IDREF_ATT_VAL

    public static final int IDREF_ATT_VAL

See Also:
  Constant Field Values

### ENTITY_ATT_VAL

    public static final int ENTITY_ATT_VAL

See Also:
  Constant Field Values

### ENTITIES_ATT_VAL

    public static final int ENTITIES_ATT_VAL

See Also:
  Constant Field Values

### NMTOKEN_ATT_VAL

    public static final int NMTOKEN_ATT_VAL

See Also:
  Constant Field Values

### NMTOKENS_ATT_VAL

    public static final int NMTOKENS_ATT_VAL

See Also:
  Constant Field Values

### CDATA_ATT_VAL

    public static final int CDATA_ATT_VAL

See Also:
  Constant Field Values

### REQUIRED_ATT

    public static final int REQUIRED_ATT

See Also:
  Constant Field Values

### IMPLIED_ATT

    public static final int IMPLIED_ATT

See Also:
  Constant Field Values

### FIXED_ATT

    public static final int FIXED_ATT

See Also:
  Constant Field Values

Method Detail

### getRoot

    public RootDTDNode getRoot()

  Returns:
    the root of the DTD document

### setNodeFactory

    public void setNodeFactory(DTDNodeFactory factory)

  Factory for building DTDNode

### notifyStartDTD

    public void notifyStartDTD()

  Start the DTD definition

### notifyStopDTD

    public void notifyStopDTD()

  Stop the DTD definition

### notifyComment

    public void notifyComment(java.lang.String comment)

  Found a comment

### notifyEntity

    public void notifyEntity(java.lang.String entity,
                             boolean parameter,
                             int type,
                             java.lang.String value)

  Found an entity

### notifyStartElement

    public void notifyStartElement(java.lang.String e)

  Found a tag definition

### notifyStopElement

    public void notifyStopElement()

  End of the tag definition

### notifyElementChoiceItem

    public void notifyElementChoiceItem(java.lang.String item)

  Item equals element name or #PCDATA

### notifyElementIncludeItem

    public void notifyElementIncludeItem(java.lang.String item)

  Item equals element name or EMPTY or ANY or #PCDATA

### notifyStartElementChildren

    public void notifyStartElementChildren()

  Notify '(' meet for the element declaration

### notifyOperator

    public void notifyOperator(char operator)

  Notify operator '+' or '*' or '?'

### notifyStopElementChildren

    public void notifyStopElementChildren()

  Notify ')' meet for the element declaration

### notifyAttribute

    public void notifyAttribute(java.lang.String element,
                                java.lang.String id,
                                int valueType,
                                java.lang.String[] enum,
                                int attDec,
                                java.lang.String def)

  Found an attribute definition

  Parameters:
    `element` - Element tag
    `id` - Attribute id
    `valueType` - ID, IDREF, ENTITY, ENTITIES, NMTOKEN, NMTOKENS or CDATA
    `enum` - a `String[]` value
    `attDec` - REQUIRED, IMPLIED or FIXED
    `def` - a `String` value or ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD